## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ArenaBlock Class Template Reference

`#include <ArenaBlock.hpp>`

Inheritance diagram for ArenaBlock:

[legend]
Collaboration diagram for ArenaBlock:

[legend]
List of all members.

## Public Types

- typedef ArenaBlockBase<ObjectType,
  SizeType> BaseClassType
- typedef ArenaBlock<ObjectType,
  SizeType> ThisType
- typedef BaseClassType::size_type size_type

## Public Methods

- ArenaBlock (MemoryManagerType &theManager, size_type theBlockSize)
- ~ArenaBlock ()
- ObjectType* allocateBlock ()
- void commitAllocation (ObjectType *theBlock)
- bool ownsObject (const ObjectType *theObject) const

## Static Public Methods

- ThisType* create (MemoryManagerType &theManager, size_type theBlockSize)

### template<class ObjectType, class SizeType = size_t> class ArenaBlock

## Member Typedef Documentation

template<class ObjectType, class SizeType = size_t>
typedef ArenaBlockBase< ObjectType, SizeType > ArenaBlock<ObjectType, SizeType>::BaseClassType<ObjectType, SizeType>

template<class ObjectType, class SizeType = size_t>
typedef ArenaBlock< ObjectType, SizeType > ArenaBlock<ObjectType, SizeType>::ThisType<ObjectType, SizeType>

| Reimplemented from ArenaBlockBase.

template<class ObjectType, class SizeType = size_t>
typedef BaseClassType::size_type ArenaBlock<ObjectType, SizeType>::size_type

| Reimplemented from ArenaBlockBase.

## Constructor & Destructor Documentation

template<class ObjectType, class SizeType = size_t>
ArenaBlock<ObjectType, SizeType>::ArenaBlock<ObjectType, SizeType> ( | MemoryManagerType & theManager,
| size_type theBlockSize )

template<class ObjectType, class SizeType = size_t>
ArenaBlock<ObjectType, SizeType>::~ArenaBlock<ObjectType, SizeType> ( | )

## Member Function Documentation

template<class ObjectType, class SizeType = size_t>
ObjectType * ArenaBlock<ObjectType, SizeType>::allocateBlock ( | )

template<class ObjectType, class SizeType = size_t>
void ArenaBlock<ObjectType, SizeType>::commitAllocation ( | ObjectType * theBlock )

template<class ObjectType, class SizeType = size_t>
ThisType * ArenaBlock<ObjectType, SizeType>::create ( | MemoryManagerType & theManager,
| size_type theBlockSize )`[static]`

template<class ObjectType, class SizeType = size_t>
bool ArenaBlock<ObjectType, SizeType>::ownsObject ( | const ObjectType * theObject ) const

The documentation for this class was generated from the following file:

- ArenaBlock.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.